L2PING(1)

NAME
l2ping - Send L2CAP echo request and receive answer

SYNOPSIS
l2ping [ -S source addr ] [ -s size ] [ -c count ] [ -t timeout ] [ -f ] < bd_addr >

DESCRIPTION

L2ping sends a L2CAP echo request to the Bluetooth MAC address bd_addr given in dotted hex notation.

OPTIONS

-S source addr
    Select address to be used as source address for the request.

-s size
    The size of the data packets to be sent.

-c count
    Send count number of packets then exit.

-c timeout
    Wait timeout for the response.

-f  Kind of flood ping. Use with care! It reduces the delay time between packets to 0.

bd_addr
    The Bluetooth MAC address to be pinged in dotted hex notation like 01:02:03:ab:cd:ef or 01:EF:cd:aB:02:03

AUTHORS
Written by Maxim Krasnyansky <maxk@qualcomm.com> and Marcel Holtmann <marcel@holtmann.org>

man page by Nils Faerber <nils@kernelconcepts.de>